import request from '@/utils/request'
const api = '/api'
const esApi = '/es-api'
// 获取分类列表
export const getWordTepCateList = (data) => {
  return request({
    url: api + '/system/template/cate/list',
    method: 'get',
    data
  })
}
// 添加分类
export const getWordTepCateAdd = (params) => {
  return request({
    url: api + '/system/template/cate/save',
    method: 'post',
    data: params
  })
}
// 删除分类
export const getWordTepCateDelete = (params) => {
  return request({
    url: api + '/system/template/cate/remove',
    method: 'post',
    data: params
  })
}
// 获取详细列表
export const getWordTepCateInfo = (params) => {
  return request({
    url: api + '/system/template/list',
    method: 'get',
    params
  })
}
// 删除功能
export const WordTepDelete = (params) => {
  return request({
    url: api + '/system/template/remove',
    method: 'POST',
    data: params
  })
}

// 删除功能
export const WordTepSave = (params) => {
  return request({
    url: api + '/system/template/save',
    method: 'POST',
    data: params
  })
}
// 上传ES
export const WordTepEsSave = (id) => {
  return request({
    url: esApi + `/es/init/file/v3/${id}`,
    method: 'get'
  })
}
